<?= $this->render('profile/tabs-actions/top-bar.phtml') ?>

<? if ( 'update' == $this->mode): ?>
	<?= $this->render('profile/tabs-actions/tabs-update.phtml') ?>
<? else: ?>
	<?= $this->render('profile/tabs-actions/tabs-create.phtml') ?>
<? endif; ?>

<? $DEFINITIONS = Zend_Registry::get('defines'); ?>


<form class="form" action="<?= $this->getLink('private-v2-profile', array(), true) ?>" method="post">

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />
	<input type="hidden" name="step" value="<?= $this->step ?>" />
	<input type="hidden" name="escort" value="<?= $this->escort_id ?>" />

	<? if( $this->mode == 'create' ): ?>
		<input type="hidden" name="then" value="" />
	<? endif; ?>

	<div class="escort-popup-body working-cities-tab">

		<div class="s_left">
			<p class="block-title an"><?= __('pv2_section_travel_locations') ?></p>

			<div class="ml20 travel-locations">
				<div class="visible-tip">
					<?= __('tab_working_cities_travel_desc') ?>
					<? if($this->errors['travel_place']): ?>
						<a href="#" title="<?= $this->errors['travel_place'] ?>" class="ico-error"></a>
					<? endif; ?>
				</div>

				<div class="inner">

					<div class="i">
						<input type="radio" id="no_travel" name="travel_place" value="<?= TRAVEL_NO_TRAVEL ?>" <? if ($this->travel_place == TRAVEL_NO_TRAVEL): ?> checked="cecked"<? endif; ?> />
						<label for="no_travel"><?= $DEFINITIONS['travel_places'][TRAVEL_NO_TRAVEL] ?></label>
					</div>

					<div class="i">
						<input type="radio" id="i_usa" name="travel_place" value="<?= TRAVEL_WORLDWIDE_I_USA ?>" <? if ($this->travel_place == TRAVEL_WORLDWIDE_I_USA): ?> checked="cecked"<? endif; ?> />
						<label for="i_usa"><?= $DEFINITIONS['travel_places'][TRAVEL_WORLDWIDE_I_USA] ?></label>
					</div>

					<div class="i">
						<input type="radio" id="e_usa" name="travel_place" value="<?= TRAVEL_WORLDWIDE_E_USA ?>" <? if ($this->travel_place == TRAVEL_WORLDWIDE_E_USA): ?> checked="cecked"<? endif; ?> />
						<label for="e_usa"><?= $DEFINITIONS['travel_places'][TRAVEL_WORLDWIDE_E_USA] ?></label>
					</div>

					<div class="i">
						<input type="radio" id="europe" name="travel_place" value="<?= TRAVEL_EUROPE ?>" <? if ($this->travel_place == TRAVEL_EUROPE): ?> checked="cecked"<? endif; ?> />
						<label for="europe"><?= $DEFINITIONS['travel_places'][TRAVEL_EUROPE] ?></label>
					</div>

					<div class="i">
					<input type="radio" id="nationwide" name="travel_place" value="<?= TRAVEL_NATIONWIDE ?>" <? if ($this->travel_place == TRAVEL_NATIONWIDE): ?> checked="cecked"<? endif; ?> />
					<label for="nationwide"><?= $DEFINITIONS['travel_places'][TRAVEL_NATIONWIDE] ?></label>
					</div>

				</div>
				<div class="clear"></div>
			</div>
		</div>

		<div class="s_middle">
			<p class="block-title an"><?= __('pv2_section_working_locations') ?></p>

			<input type="hidden" id="max_working_cities" value="<?= Cubix_Application::getById()->max_working_cities ?>" />
			<input type="hidden" id="cities_count" value="<?= count($this->data['cities']) ?>" />
			<input type="hidden" id="city_zone_count" value="<?= count($this->data['cityzones']) ?>" />

			<div class="ml20 my-base-city">
				<div class="visible-tip">
					<?= __('tab_working_cities_city_desc') ?>

					<? if($this->errors['country_id']): ?>
						<a href="#" title="<?= $this->errors['country_id'] ?>" class="ico-error"></a>
					<? endif; ?>
				</div>

				<div class="inner">
					<label for="country"><?= __('pv2_label_country') ?></label>
					<select id="country" name="country_id" style="width: 230px;">

						<? foreach ( $this->countries as $country ): ?>

							<option value="<?= $country->id ?>"<?= $country->id == $this->country_id ? ' selected="selected"' : '' ?>><?= $country->title ?>&nbsp;&nbsp;</option>

						<? endforeach ?>
					</select>
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<select id="cities" style="width: 230px; background: none">
						<option value="">- - -</option>
						<? foreach ( $this->cities as $city ): ?>
							<option value="<?= $city->id ?>"><?= $city->title ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<input type="button" value="" id="add-city" class="add-city" />

				<div class="clear"></div>
				<? $admin_cities = array(); ?>
				<div id="locations" >
					<? $m_cities = new Model_Cities(); ?>
					<? foreach( $this->data['cities'] as $city ): ?>
						<? 
							$city = $m_cities->getById($city['city_id']); 
							$is_checked = ($city->id == $this->data['city_id']) ? true : false;
							if ( $this->country_id != $city->country_id ) {
								$admin_cities[] = $city;
							}
						?>						
						<div class="location <?= $is_checked ? 'base_city_selected' : ''?> <?= ( $this->country_id != $city->country_id ) ? 'none' : '' ?>">
							<div class="fleft">
								<? if ( $this->country_id == $city->country_id ): ?>
								<input value="<?= $city->id ?>" name="city_id"  <?= $is_checked ?  'checked="checked"' : '' ?> class="base_city_id"  type="radio">
								<? endif; ?>
							</div>
							<label class="fleft city-title">
								<? if ( $this->country_id == $city->country_id ): ?>
								<span><?= $city->title ?> - <?= $city->country_title ?></span>
								<span class="bc_title"><?= $is_checked ? ' - ('.__('base_city').')' : '' ?></span>								
								<a class="icon-remove<?= ( in_array($city->id, $this->premium_cities) ) ? '-disabled' : '' ?>"></a>
								<? endif; ?>
							</label>
							<input value="<?= $city->id ?>" name="cities[]" type="hidden">
							<div class="clear"></div>
						</div>
						<div class="clear"></div>
					<? endforeach; ?>

					<?/*
					<? foreach( $this->cities as $city ): ?>
						<? $chk = false; foreach ( $this->data['cities'] as $_city ) { if ( $_city['city_id'] == $city->id ) { $chk = true; break; } } if ( ! $chk ) continue; ?>
						<? $is_checked = ($city->id == $this->data['city_id']) ? true : false ?>
						<div class="location <?= $is_checked ? 'base_city_selected' : ''?>">
							<div class="fleft">
								<input value="<?= $city->id ?>" name="city_id"  <?= $is_checked ?  'checked="checked"' : '' ?> class="base_city_id"  type="radio">
							</div>
							<label class="fleft city-title">
								<span><?= $city->title ?></span>
								<span class="bc_title"><?= $is_checked ? ' - ('.__('base_city').')' : '' ?></span>
								<a class="icon-remove<?= ( in_array($city->id, $this->premium_cities) ) ? '-disabled' : '' ?>"></a>
							</label>
							<input value="<?= $city->id ?>" name="cities[]" type="hidden">
							<div class="clear"></div>
						</div>
						<div class="clear"></div>
					<? endforeach; ?>
					*/?>
				</div>

				<? if ( count($admin_cities) ): ?>
					<p class="an" style="font-size:14px; margin: 10px 0 5px 0;">Additional location-set by admin(Read Only!)</p>
					<? foreach ($admin_cities as $key => $city): ?>
						<p><?= $city->title ?>, <?= $city->country_title ?></p>
					<? endforeach; ?>
				<? endif; ?>
			</div>
			<!-- city zone -->
			<div class="ml20 mt20 my-base-city" style="margin-top:20px; display: <?php echo( empty($this->all_cityzones) || ($this->data['incall_type'] == null) ? 'none':'block') ?>" id="cityzones_wrp" >
				<p style="margin-left:0;" class="block-title an"><?= __('select_your_cityzone') ?></p>
				<div class="clear"></div>
				<div class="inner">
					<select id="city-zones" style="width: 230px; background: none">
						<option value="">- - -</option>
						<? foreach ( $this->all_cityzones as $ctz ): ?>
							<option value="<?= $ctz->id ?>">[<?= $ctz->city_title ?>] <?= $ctz->title ?></option>
						<? endforeach; ?>
					</select>
				</div>

				<input type="button" value="" id="add-city-zone" class="add-city" />

				<div id="city-zone-data" >
					<? $cz_model = new Cubix_Geography_Cityzones(); ?>
					<? foreach( $this->data['cityzones'] as $zone ): ?>
						<? $czd = $cz_model->getZoneInfo($zone['city_zone_id']); ?>
						<div class="city-zone-item">
							<div class="fleft" style="display:none;">
								<input value="<?= $city->id ?>"  name="city_zone_id"  type="radio">
							</div>
							<label class="fleft city-title">
								<span>[<?= $czd->city_title ?>] <?= $czd->title ?></span>							
								<a class="icon-remove"></a>
							</label>
							<input type="hidden" class="hidden" name="cityzones[]" value="<?= $zone['city_zone_id'] ?>" />
							<div class="clear"></div>
						</div>
						<div class="clear"></div>
					<? endforeach; ?>
				</div>				
			</div>
			<!-- city zone -->
		</div>

		<div class="s_right">
			<p class="block-title an"><?= __('pv2_section_available_for') ?></p>

			<? if ( $this->data['incall_type'] ): ?>
				<input type="hidden" class="incall_type_hidden" value="1" />
			<? endif; ?>

			<div class="ml20 bc-availability">
				<div class="visible-tip">
					<?= __('tab_working_cities_available_desc') ?>

					<? if($this->errors['incall_hotel_room']): ?>
						<a href="#" title="<?= $this->errors['incall_hotel_room'] ?>" class="ico-error"></a>
					<? endif; ?>

					<div class="inner" style="margin: 15px 0 0 0">
						<div class="inner">
							<input id="incall" type="checkbox" name="incall" value="1"<?= $this->data['incall_type'] ? ' checked="checked"' : '' ?> />
							<label class="option bold" for="incall"><?= __('pv2_label_incall') ?></label>
						</div>

						<div class="inner" style="margin: -4px 0 0 70px;">
							<label for="zip" style="font-weight: normal;"><?= __('pv2_label_zip_code') ?></label>
							<input style="width: 50px" id="zip" type="text" class="txt <?= $this->data['incall_type'] ? '' : ' disabled' ?>" name="zip" value="<?= $this->data['incall_type'] && $this->data['zip'] ? $this->data['zip'] : '' ?>" <?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
						</div>

						<div class="clear"></div>
						<div class="options-vertical" style="margin-left: 25px; margin-top: 2px;">
							<div class="inner">
								<input id="private-apartment" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_PRIVATE_APARTMENT ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_PRIVATE_APARTMENT ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
								<label for="private-apartment"><?= __('pv2_label_private_apartment') ?></label>
							</div>
							<div class="clear"></div>
							<div class="inner">
								<input id="hotel-room" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_HOTEL_ROOM ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
								<label for="hotel-room"><?= __('pv2_label_hotel_room') ?></label>
							</div>
							<div class="clear"></div>
							<div class="options-vertical" style="margin-left: 25px;">
								<div class="inner">
									<input id="five-star" type="radio" name="incall_hotel_room" value="5"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 5 ? ' checked="checked"' : '' ?> />
									<label for="five-star"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></label>
								</div>
								<div class="clear"></div>
								<div class="inner">
									<input id="four-star" type="radio" name="incall_hotel_room" value="4"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 4 ? ' checked="checked"' : '' ?> />
									<label for="four-star"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></label>
								</div>
								<div class="clear"></div>
								<div class="inner">
									<input id="three-star" type="radio" name="incall_hotel_room" value="3"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 3 ? ' checked="checked"' : '' ?> />
									<label for="three-star"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></label>
								</div>
								<div class="clear"></div>
								<div class="inner">
									<input id="two-star" type="radio" name="incall_hotel_room" value="2"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 2 ? ' checked="checked"' : '' ?> />
									<label for="two-star"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></label>
								</div>
								<div class="clear"></div>
								<div class="inner">
									<input id="one-star" type="radio" name="incall_hotel_room" value="1"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 1 ? ' checked="checked"' : '' ?> />
									<label for="one-star"><img src="<?= _st('_/icon_star.png') ?>" /></label>
								</div>
								<div class="clear"></div>
							</div>
							<div class="clear"></div>
							<div class="inner">
								<input id="club-studio" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_CLUB_STUDIO ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_CLUB_STUDIO ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
								<label for="club-studio"><?= __('pv2_label_club_studio') ?></label>
							</div>
							<div class="clear"></div>
							<div class="inner">
								<input id="incall-other" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_OTHER ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
								<label for="incall-other"><?= __('pv2_label_incall_other') ?></label>
								<div class="clear"></div>
								<div class="inner" style="margin-left: 25px;">
									<input style="width: 180px" type="text" class="txt<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled' ?>" name="incall_other" value="<?= $this->data['incall_other'] ?>" size="35"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled="disabled"' ?> />
								</div>
								<div class="clear"></div>
							</div>
							<div class="clear"></div>
						</div>
					</div>

					<div class="inner">
						<div class="inner">
							<input id="outcall" type="checkbox" name="outcall" value="1" <?= $this->data['outcall_type'] ? ' checked="checked"' : '' ?> />
							<label class="option bold" for="outcall"><?= __('pv2_label_outcall') ?></label>
						</div>
						<div class="clear"></div>
						<div class="options-vertical" style="margin-left: 25px; margin-top: 2px;">
							<div class="inner">
								<input id="hotel-visits" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOTEL_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> />
								<label for="hotel-visits"><?= __('pv2_label_hotel_visits_only') ?></label>
							</div>
							<div class="clear"></div>
							<div class="inner">
								<input id="home-visits" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOME_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOME_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> />
								<label for="home-visits"><?= __('pv2_label_home_visits_only') ?></label>
							</div>
							<div class="clear"></div>
							<div class="inner">
								<input id="hotel-home" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> />
								<label for="hotel-home"><?= __('pv2_label_hotel_and_home_visits') ?></label>
							</div>
							<div class="clear"></div>
							<div class="inner">
								<input id="outcall-other" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_OTHER ?>"<?= $this->data['outcall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> />
								<label for="outcall-other"><?= __('pv2_label_outcall_other') ?></label>
								<div class="clear"></div>
								<div class="inner" style="margin-left: 25px;">
									<input type="text" style="width: 180px" class="txt<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_OTHER ? '' : ' disabled' ?>" name="outcall_other" value="<?= $this->data['outcall_other'] ?>" <?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_OTHER ? '' : ' disabled="disabled"' ?> />
								</div>
								<div class="clear"></div>
							</div>
							<div class="clear"></div>
						</div>
					</div>
					<div class="clear"></div>

				</div>
			</div>
		</div>

		<div class="clear"></div>

	</div>

<? if ( 'update' == $this->mode): ?>
	<?= $this->render('profile/tabs-actions/actions-update.phtml') ?>
<? else: ?>
	<?= $this->render('profile/tabs-actions/actions-create.phtml') ?>
<? endif; ?>

</form>